Run one-time prospect search
curl --request POST \
--url https://optareach.com/api/v1/platforms/{platform}/prospect-lists/search \
--header 'Content-Type: application/json' \
--data '
{
"importMethod": "linkedin-search-bar",
"title": "B2B SaaS founders",
"accountId": "acct_linkedin_demo",
"searchUrl": "https://www.linkedin.com/search/results/people/?keywords=b2b%20saas%20founder",
"credits": 40
}
'import requests
url = "https://optareach.com/api/v1/platforms/{platform}/prospect-lists/search"
payload = {
"importMethod": "linkedin-search-bar",
"title": "B2B SaaS founders",
"accountId": "acct_linkedin_demo",
"searchUrl": "https://www.linkedin.com/search/results/people/?keywords=b2b%20saas%20founder",
"credits": 40
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
importMethod: 'linkedin-search-bar',
title: 'B2B SaaS founders',
accountId: 'acct_linkedin_demo',
searchUrl: 'https://www.linkedin.com/search/results/people/?keywords=b2b%20saas%20founder',
credits: 40
})
};
fetch('https://optareach.com/api/v1/platforms/{platform}/prospect-lists/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://optareach.com/api/v1/platforms/{platform}/prospect-lists/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'importMethod' => 'linkedin-search-bar',
'title' => 'B2B SaaS founders',
'accountId' => 'acct_linkedin_demo',
'searchUrl' => 'https://www.linkedin.com/search/results/people/?keywords=b2b%20saas%20founder',
'credits' => 40
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://optareach.com/api/v1/platforms/{platform}/prospect-lists/search"
payload := strings.NewReader("{\n \"importMethod\": \"linkedin-search-bar\",\n \"title\": \"B2B SaaS founders\",\n \"accountId\": \"acct_linkedin_demo\",\n \"searchUrl\": \"https://www.linkedin.com/search/results/people/?keywords=b2b%20saas%20founder\",\n \"credits\": 40\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://optareach.com/api/v1/platforms/{platform}/prospect-lists/search")
.header("Content-Type", "application/json")
.body("{\n \"importMethod\": \"linkedin-search-bar\",\n \"title\": \"B2B SaaS founders\",\n \"accountId\": \"acct_linkedin_demo\",\n \"searchUrl\": \"https://www.linkedin.com/search/results/people/?keywords=b2b%20saas%20founder\",\n \"credits\": 40\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://optareach.com/api/v1/platforms/{platform}/prospect-lists/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"importMethod\": \"linkedin-search-bar\",\n \"title\": \"B2B SaaS founders\",\n \"accountId\": \"acct_linkedin_demo\",\n \"searchUrl\": \"https://www.linkedin.com/search/results/people/?keywords=b2b%20saas%20founder\",\n \"credits\": 40\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "list_match_arsenal_chelsea",
"queued": true
}
}Prospects
Run one-time prospect search
Queues a prospect search using one of the platform’s search import methods. Get the allowed method IDs first from the prospect-import-methods endpoint. CSV and source-list methods use their dedicated endpoints.
POST
/
api
/
v1
/
platforms
/
{platform}
/
prospect-lists
/
search
Run one-time prospect search
curl --request POST \
--url https://optareach.com/api/v1/platforms/{platform}/prospect-lists/search \
--header 'Content-Type: application/json' \
--data '
{
"importMethod": "linkedin-search-bar",
"title": "B2B SaaS founders",
"accountId": "acct_linkedin_demo",
"searchUrl": "https://www.linkedin.com/search/results/people/?keywords=b2b%20saas%20founder",
"credits": 40
}
'import requests
url = "https://optareach.com/api/v1/platforms/{platform}/prospect-lists/search"
payload = {
"importMethod": "linkedin-search-bar",
"title": "B2B SaaS founders",
"accountId": "acct_linkedin_demo",
"searchUrl": "https://www.linkedin.com/search/results/people/?keywords=b2b%20saas%20founder",
"credits": 40
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
importMethod: 'linkedin-search-bar',
title: 'B2B SaaS founders',
accountId: 'acct_linkedin_demo',
searchUrl: 'https://www.linkedin.com/search/results/people/?keywords=b2b%20saas%20founder',
credits: 40
})
};
fetch('https://optareach.com/api/v1/platforms/{platform}/prospect-lists/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://optareach.com/api/v1/platforms/{platform}/prospect-lists/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'importMethod' => 'linkedin-search-bar',
'title' => 'B2B SaaS founders',
'accountId' => 'acct_linkedin_demo',
'searchUrl' => 'https://www.linkedin.com/search/results/people/?keywords=b2b%20saas%20founder',
'credits' => 40
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://optareach.com/api/v1/platforms/{platform}/prospect-lists/search"
payload := strings.NewReader("{\n \"importMethod\": \"linkedin-search-bar\",\n \"title\": \"B2B SaaS founders\",\n \"accountId\": \"acct_linkedin_demo\",\n \"searchUrl\": \"https://www.linkedin.com/search/results/people/?keywords=b2b%20saas%20founder\",\n \"credits\": 40\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://optareach.com/api/v1/platforms/{platform}/prospect-lists/search")
.header("Content-Type", "application/json")
.body("{\n \"importMethod\": \"linkedin-search-bar\",\n \"title\": \"B2B SaaS founders\",\n \"accountId\": \"acct_linkedin_demo\",\n \"searchUrl\": \"https://www.linkedin.com/search/results/people/?keywords=b2b%20saas%20founder\",\n \"credits\": 40\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://optareach.com/api/v1/platforms/{platform}/prospect-lists/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"importMethod\": \"linkedin-search-bar\",\n \"title\": \"B2B SaaS founders\",\n \"accountId\": \"acct_linkedin_demo\",\n \"searchUrl\": \"https://www.linkedin.com/search/results/people/?keywords=b2b%20saas%20founder\",\n \"credits\": 40\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "list_match_arsenal_chelsea",
"queued": true
}
}Path Parameters
Body
application/json
One-time search payload. importMethod must be a search-flow method returned for the selected platform.
Method ID returned by GET /platforms/{platform}/prospect-import-methods. import_method_id is also accepted.
Snake-case alias for importMethod.
Snake-case alias for accountId.
Search, profile, event, or collection URL for URL-based methods.
Camel-case alias for must_contain.
Required range:
x >= 1Response
201 - application/json
Prospect search queued
Show child attributes
Show child attributes